<template>
<div class="modal inmodal" id="user_modal">
    <div class="modal-dialog">
        <div class="modal-content animated fadeIn">
            <div class="ibox-title">
                <h5>User Form</h5>
            </div>
            <!-- /.ibox-title -->

            <div class="ibox-content" v-bind:class="{ 'sk-loading': modal.pause }">
                <div class="sk-spinner sk-spinner-wave">
                    <div class="sk-rect1"></div>
                    <div class="sk-rect2"></div>
                    <div class="sk-rect3"></div>
                    <div class="sk-rect4"></div>
                    <div class="sk-rect5"></div>
                </div>

                <div class="row">
                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.name  }"
                    >
                        <div class="form-group" id="error_name">
                            <label for="name">Name : </label>
                            <input class="form-control"  v-model="modal.data.name">

                            <div v-if="modal.errors.name">
                                <span class="help-block" v-for="error in modal.errors.name" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12 col-md-12 col-lg-12"
                            v-bind:class="{ 'has-error': modal.errors.email  }"
                    >
                        <div class="form-group" id="error_contact_person">
                            <label for="contact_person">Email : </label> 
                            <input class="form-control"  v-model="modal.data.email">
                            
                            <div v-if="modal.errors.email">
                                <span class="help-block" v-for="error in modal.errors.email" :key="error.id">
                                * {{ error }}
                                </span>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-12 col-md-12 col-lg-6">
                        <div class="form-group" id="">
                            <label for="cel_no">Is Active? :</label> 
                            <select class="form-control"
                                    v-model="modal.data.is_active" 
                            >
                                <option value="1">Yes</option>
                                <option value="0">No</option>
                            </select>
                            <span class="help-block"></span>
                        </div>
                    </div>
                </div><!-- /.row -->
            </div>
            <!-- /.ibox-content -->
            <div class="ibox-footer">
              <div class="pull-right">
                <button type="button" class="btn btn-white btn-sm " data-dismiss="modal">
                  Close
                </button>

                <button @click="save()" 
                        v-bind:disable="modal.pause" 
                        class="btn btn-flat btn-primary btn-sm"> 
                  Save
                </button>
              </div>
              <div>&nbsp;<br>&nbsp;</div>
            </div>
            <!-- /.ibox-footer -->
        </div>
        <!-- /.modal-content animated flipInY -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal inmodal -->

</template>

<script>
export default {
    props: [
        'modal'
    ],
    methods: {
        save() {
            this.$emit('save', this.modal.data)
        }
    }
}
</script>
